/*
 * Pilot plugin to VDR (C++)
 *
 * (C) 2001,2002 Olivier Jacques (vdr@olivierjacques.com)
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 */

#ifndef ___I18N_H
#define ___I18N_H

#include <vdr/i18n.h>

extern const char *i18n_name;
extern const tI18nPhrase Phrases[];

#undef tr
#define tr(s)  I18nTranslate(s, i18n_name)

const char *i18n_name = 0;

const tI18nPhrase Phrases[] = {
/*
 * French     translations provided by Maxime Guilbot <maxime.guilbot@orange.fr>
*/
  { "Channel", // ENGLISH
    "Kanal", // GERMAN
    "", // TODO
    "Canale", // ITALIAN
    "Kanaal", // NL
    "", // TODO
    "Chanes", // FR
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Czatoma", // HU
  },
  { "Origin X", // EN
    "Position X", // GERMAN
    "", // TODO
    "Origine X", // ITALIAN
    "X positie", // NL
    "", // TODO
    "Origine X", // FR
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "X helyzet", // HU
  },
  { "Origin Y", // EN
    "Position Y", // GERMAN
    "", // TODO
    "Origine Y", // ITALIAN 
    "Y positie", // NL
    "", // TODO
    "Origine Y", // FR
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Y helyzet", // HU
  },
  { "Width", //EN
    "Breite", // GER
    "", // TODO
    "Larghezza", // ITALIAN
    "Breedte", // NL
    "",
    "Largeur", 
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Szlessg", // HU
  },
  { "AddChannel",
    "Kanal hinzufgen", // GER
    "", // TODO
    "Aggiungi Canale", // ITALIAN
    "iKanaal bijdoen", // NL
    "", // TODO
    "Nouvelle chane",  // FR
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Adj csatornt hozza", // HU
  },
  { "RemoveChannel",
    "Kanal lschen", // GER
    "", // TODO
    "Rimuovi Canale", // ITALIAN
    "Kanaal wegneemen", // NL
    "", // TODO
    "Supprime chane", //FR
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Fok csatornt", // HU
  },
  { "Background opacity",
    "Rand transparenz", // TODO
    "", // TODO
    "Alpha Bordo 1", // ITALIAN
    "", // TODO
    "", // TODO
    "Opacit du fond",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Text opacity",
    "", // TODO
    "", // TODO
    "Alpha Bordo 2", // ITALIAN
    "", // TODO
    "", // TODO
    "Opacit du texte",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Border opacity",
    "Alpha Rand", // GER
    "", // TODO
    "AlphaBordo", // ITALIAN
    "Alpha kant", // NL
    "", // TODO
    "Opacit du contour", // FR
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Alpha szegly", // HU
  },
  { "Sort by",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Trier par",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "None",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Aucun",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Name",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Nom",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "As entered",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Tel que saisi",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Close on OK",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Fermer le menu sur OK",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Number of channels",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Nombre de chanes",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
  { "Use DXR3",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "Utilisation de DXR3",
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
    "", // TODO
  },
 { NULL }
};

#endif //___I18N_H
